#
# spec file for package python-purl
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-purl
Version:        1.6
Release:        2.11
Summary:        An immutable URL class for URL building and manipulation
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/codeinthehole/purl
Source:         https://github.com/codeinthehole/purl/archive/%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
An immutable URL class for URL building and manipulation.

%prep
%setup -q -n purl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
pushd tests
%pytest
popd

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Mon Oct 17 2022 pgajdos@suse.com
- version update to 1.6
  * Use `pytest` insteed of `nose`.
  * Fix warning around regex string.
- deleted patches
  - use_pytest.patch (upstreamed)
* Mon May  4 2020 Paolo Stivanin <info@paolostivanin.com>
- Use pytest instead of nose
- Add use_pytest.patch
* Sun Jun  9 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of descriptions.
* Fri Jun  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Switch to github tarball for tests
* Fri Apr 12 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.5
